package com.tempproj.entity;

import com.tmpproj.entity.User;
import com.tmpproj.entity.UserFacade;
import javax.ejb.EJB;
import org.jboss.arquillian.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.shrinkwrap.api.ArchivePaths;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.JavaArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;

@RunWith(Arquillian.class)
public class UserTest {

    @EJB
    private UserFacade facade;

    @Deployment
    public static JavaArchive createTestArchive() {
        return ShrinkWrap.create(JavaArchive.class, "test.jar").
                addPackage(User.class.getPackage()).
                //XXX
                //addManifestResource("persistence.xml", ArchivePaths.create("persistence.xml"));
                addAsManifestResource("persistence.xml", ArchivePaths.create("persistence.xml"));
    }

    @Test
    public void find() {
        final User user = facade.find("loginId");
        Assert.assertNotNull(user);
    }
}
